import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizexcessconfig/` + url, ...arg)

/**
 * 超限配置Api接口管理器
 *
 * @author fanzherong
 * @date  2025/03/20 16:46
 **/
export default {
	// 获取超限配置分页
	bizExcessConfigPage(data) {
		return request('page', data, 'get')
	},
	// 提交超限配置表单 edit为true时为编辑，默认为新增
	bizExcessConfigSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除超限配置
	bizExcessConfigDelete(data) {
		return request('delete', data)
	},
	// 获取超限配置详情
	bizExcessConfigDetail(data) {
		return request('detail', data, 'get')
	}
}
